import pathlib
from openpyxl import load_workbook
from openpyxl.drawing.image import Image
import qrcode

fp_xlsx = r'13\記事一覧.xlsx'
wb = load_workbook(fp_xlsx)
ws = wb.active

size = (100, 100)
height, width = 75, 14.5

for i, record in enumerate(ws.values):
    if i == 0: continue

    fp = pathlib.Path(rf'13\qr{i}.png')

    url = record[1] #B列
    im = qrcode.make(url).resize(size)
    im.save(fp)

    img = Image(fp)
    row = i + 1
    ws.add_image(img, f'C{row}')
    ws.row_dimensions[row].height = height

ws.column_dimensions['C'].width = width
wb.save(fp_xlsx)
